Comware Based
cancel
Showing results for 
Search instead for 
Did you mean: 

OpenFlow Compatibility with Ryu Controller

roymitrany
Occasional Visitor

OpenFlow Compatibility with Ryu Controller

Hi,

I configured my HP 5500 HI to connect to RYU controller. Both ends support OF 1.3.

However, when the controller sends features request, with version 0x04, the switch replies with the following error:

"We support versions 0x04 only." And then the switch closes the TCP connection.

 

Is anyone familiar with this problem? Any workarounds?

I am running release  "Release 5501P05-US"

 

Thanks,

Roy

1 REPLY
roymitrany
Occasional Visitor

Re: OpenFlow Compatibility with Ryu Controller

I just noticed that the transaction IDs are different in the request and response. I'll look into Ryu and find out where the extra transaction came from.